#
# spec file for package ipvsadm (Version 1.17)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  kernel-source popt
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd kernel-source less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl popt ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ipvsadm
Summary:      Utility to administer the Linux Virtual Server
Version:      1.17
Release:      156
Copyright:    GNU General Public Licence
URL:          http://www.LinuxVirtualServer.org/
Group:        Applications/System
Source0:      http://www.LinuxVirtualServer.org/software/ipvsadm-%{version}.tar.gz
Source1:      ipvsadm.init
Patch:        ipvsadm.Makefile.diff
BuildRoot:    %{_tmppath}/%{name}-root
Provides:     %{name}-%{version}
%define       prefix   /usr

%description
ipvsadm is a utility to administer the IP virtual server services
offered by the Linux kernel with Linux Virtual Server support.

Authors:
--------
    Wensong Zhang <wensong@iinchina.net>

SuSE series: ap

%prep
%setup -n ipvsadm
# This files are embedded here instead of being another source in order
# to the prefix directory
cat >rc.config.ipvsadm <<EOFF
#
# Should the ipvsadm daemon/manager be started at bootup? (yes/no)
#
START_IPVSADM="no"
#
# Where to find the IPVSADM config-file
#
IPVSADM_CONFIG="/etc/ipvsadm.rules"
EOFF
cat >ipvsadm.rules <<EOFF
#
# Please insert your ipvs-rules here
#
EOFF
%patch -p 1

%build
CFLAGS="${RPM_OPT_FLAGS}" make

%install
if [ -n "$RPM_BUILD_ROOT" ] ; then
	[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi
mkdir -p ${RPM_BUILD_ROOT}/{sbin,usr/sbin,%{_mandir}/man8,etc/init.d,var/adm/fillup-templates}
BUILD_ROOT=${RPM_BUILD_ROOT} MANDIR=${RPM_BUILD_ROOT}/%{_mandir}/man8 make install
install -m 755 %{S:1}           	${RPM_BUILD_ROOT}/etc/init.d/ipvsadm
install -m 755 rc.config.ipvsadm	${RPM_BUILD_ROOT}/var/adm/fillup-templates/rc.config.ipvsadm
install -m 755 ipvsadm.rules		${RPM_BUILD_ROOT}/etc/ipvsadm.rules
ln -sf	../../etc/init.d/ipvsadm	${RPM_BUILD_ROOT}/usr/sbin/rcipvsadm

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.ipvsadm
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.ipvsadm and"
  echo "update by hand."
fi
sbin/insserv etc/init.d/ipvsadm

%postun
sbin/insserv etc/init.d/

%clean
if [ -n "$RPM_BUILD_ROOT" ] ; then
	[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-,root,root)
%doc README
%config /etc/ipvsadm.rules
/etc/init.d/ipvsadm
/sbin/*
/usr/sbin/*
/%{_mandir}/man*/*
/var/adm/fillup-templates/rc.config.ipvsadm

%changelog -n ipvsadm
* Fri Jul 27 2001 - mt@suse.de
- fixed popt dependency
- fixed init script to be LSB complaient
* Fri Apr 27 2001 - mge@suse.de
- initial SuSE RPM
